package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;

/**
 * 自由消费定制菜单对象 hs_canteen_menu_custom
 *
 * @author songyu
 * @date 2021-12-15
 */

@TableName("hs_canteen_menu_custom")
public class HsCanteenMenuCustom
{
    private static final long serialVersionUID = 1L;

    /** 自由菜单定制id */
    @TableId
    private String customId;

    /** 菜单编号 */
    @Excel(name = "菜单编号")
    private String menuNumber;

    /** 菜品编号 */
    @Excel(name = "菜品编号")
    private String cuisineNumber;

    /** 自由菜单定制名称 */
    @Excel(name = "自由菜单定制名称")
    private String customName;

    /** 机构代码 */
    @Excel(name = "机构代码")
    private String jgid;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setCustomId(String customId)
    {
        this.customId = customId;
    }

    public String getCustomId()
    {
        return customId;
    }
    public void setMenuNumber(String menuNumber)
    {
        this.menuNumber = menuNumber;
    }

    public String getMenuNumber()
    {
        return menuNumber;
    }
    public void setCuisineNumber(String cuisineNumber)
    {
        this.cuisineNumber = cuisineNumber;
    }

    public String getCuisineNumber()
    {
        return cuisineNumber;
    }
    public void setCustomName(String customName)
    {
        this.customName = customName;
    }

    public String getCustomName()
    {
        return customName;
    }
    public void setJgid(String jgid)
    {
        this.jgid = jgid;
    }

    public String getJgid()
    {
        return jgid;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("customId", getCustomId())
            .append("menuNumber", getMenuNumber())
            .append("cuisineNumber", getCuisineNumber())
            .append("customName", getCustomName())
            .append("jgid", getJgid())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
